Skip to main content
POST
/
api
/
external
/
v2
/
delivery-profiles
/
v2
/
create-shipping-profile
Create a new shipping/delivery profile (V2)
curl --request POST \
  --url https://subscription-admin.appstle.com/api/external/v2/delivery-profiles/v2/create-shipping-profile \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "locationInfos": [
    {
      "locationId": "<string>",
      "countryInfos": [
        {
          "shouldIncludeAllProvince": true,
          "code": "<string>",
          "deliveryMethodInfo": [
            {
              "amount": 123,
              "carrierServiceId": "<string>",
              "name": "<string>",
              "carrierRate": true,
              "deliveryConditionType": "<string>",
              "priceConditions": [
                {
                  "amount": 123,
                  "deliverCondtion": "<string>"
                }
              ],
              "weightConditions": [
                {
                  "deliveryCondition": "<string>",
                  "weight": 123,
                  "weightUnit": "<string>"
                }
              ]
            }
          ],
          "restOfWorld": true,
          "provinceCode": "<string>"
        }
      ]
    }
  ],
  "id": "<string>"
}
'
{
  "shop": "<string>",
  "deliveryProfileId": "<string>",
  "id": 123,
  "sellerGroupIds": [
    "<string>"
  ],
  "name": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.appstle.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-API-Key
string

Query Parameters

api_key
string

API Key (Deprecated - Use Header X-API-Key instead)

Body

application/json

Shipping Profile Request View Modelf

name
string
locationInfos
object[]
id
string

Response

Delivery profile created successfully

shop
string
required
deliveryProfileId
string
required
id
integer<int64>
sellerGroupIds
string[]
name
string